Subject: Re: Push from specific directory.

From: Neal Kreitzinger <[email-masked]>
Date: Thu, 22 Mar 2012 18:56:29 -0500

On 3/22/2012 6:27 PM, Jeff King wrote:
> On Thu, Mar 22, 2012 at 06:22:13PM -0500, Neal Kreitzinger wrote:
>
>>> You have a repository inside a repository. So when you are in (c),
>>> you will be pushing the commits from (c), not from (a). I'm not
>>> really sure what you are trying to accomplish with that.
>>>
>> See this thread for the "cons" of nested git repos: (I don't think
>> there are any "pros".)
>> http://thread.gmane.org/gmane.comp.version-control.git/190372
>
> Nested git repos are OK. I use one inside my git.git checkout to hold
> meta-information and scripts (and I know Junio does the same thing). But
> I mark the sub-repository as ignored in the parent repository.  What's
> insane is trying to track the same set of files from two different
> repositories. And I think that is the confusing case in the thread you
> mentioned.
>
Yes, hopefully the nested git repo is ignored by the higher level git
repo.  However, if it was ignored I don't suspect one would be wondering
if it was ok to "only" push from the nested repo.  I could be wrong.

v/r,
neal